import request from '@/utils/request'

// 查询转单记录列表
export function listCsTransferRecord(query) {
  return request({
    url: '/cs/csTransferRecord/list',
    method: 'get',
    params: query
  })
}

// 查询转单记录详细
export function getCsTransferRecord(transferRecordId) {
  return request({
    url: '/cs/csTransferRecord/' + transferRecordId,
    method: 'get'
  })
}

// 新增转单记录
export function addCsTransferRecord(data) {
  return request({
    url: '/cs/csTransferRecord',
    method: 'post',
    data: data
  })
}

// 修改转单记录
export function updateCsTransferRecord(data) {
  return request({
    url: '/cs/csTransferRecord',
    method: 'put',
    data: data
  })
}

// 删除转单记录
export function delCsTransferRecord(transferRecordId) {
  return request({
    url: '/cs/csTransferRecord/' + transferRecordId,
    method: 'delete'
  })
}
